Skip to content
Changelog

Report a bug

API2PDF integration: operations for AI agents

API2PDF connects to Type.com as an integration. This page lists the 28 operations documented for Claude and Codex in Type.com: 2 read, 25 write, 1 destructive.

About API2PDF

Api2Pdf is a REST API that enables developers to generate PDFs from HTML, URLs, and various document formats using engines like wkhtmltopdf, Headless Chrome, and LibreOffice.

Categories: Documents & Forms

How to connect API2PDF to Type.com

Access
Organization connection: one shared account for the workspace.

To add the connection, follow the steps in Space connections.

Documented operations

28 operations. Your connection's permissions determine which operations are available. API references describe the vendor surface; they do not expand your connection's credentials or access.

28 operations listed.

Chrome

  • Write

    Convert URL to PDF

    Convert a URL or Web Page to PDF using Headless Chrome. This GET request is for convenience and does not support advanced options. Use the POST request for more flexibility. ### Authorize via Query String Parameter apikey=YOUR-API-KEY ### Example Complete documented request fields/constraints: query.url: type="string"; ; query.outputBinary: type="boolean"; default=true; . Declared successful response: 200: OK.

    GET /chrome/pdf/url

  • Write

    Convert URL to PDF

    A JSON object as a payload is required within the body of the request. The following attributes of the JSON object are detailed below: - url *(string, required)* - Url to the web page to convert to PDF - inline *(boolean, optional)* - Open the PDF in a browser window. Default to true. - fileName *(string, optional)* - Specify a file name for the output PDF. Random name if not specified. - options *(object, optional)* - Include advanced Headless Chrome options like margins, headers, and footers. See full list of advanced options here. - extraHTTPHeaders *(dict, optional)* - A key-value object for specifying headers in a request to the URL. - storage *(object, optional)* - set useCustomStorage to true and then provide a method and url, typically a PUT and an amazon presigned s3 url if you want to store the files on your own servers. Must set useCustomStorage to true or it will default API2PDF servers. Complete documented request fields/constraints: query.outputBinary: type="boolean"; default=false; ; body(application/json): type="object"; body.FileName: type="string"; nullable=true; body.Inline: type="boolean"; default=true; body.InlinePdf: type="boolean"; default=true; body.Storage: type="object"; body.Storage.Method: type="string"; default="PUT"; nullable=true; body.Storage.Url: type="string"; default=""; nullable=true; body.Storage.ExtraHTTPHeaders: type="object"; default={"custom-header-key":"custom header value"}; nullable=true; body.Storage.ExtraHTTPHeaders.{key}: type="string"; body.UseCustomStorage: type="boolean"; default=false; body.ExtraHTTPHeaders: type="object"; default={"custom-header-key":"custom header value"}; nullable=true; body.ExtraHTTPHeaders.{key}: type="string"; body.Url: type="string"; default=""; nullable=true; body.Options: type="object"; body.Options.Delay: type="integer"; format="int32"; default=0; body.Options.Scale: type="number"; format="double"; default=1; body.Options.DisplayHeaderFooter: type="boolean"; default=false; body.Options.HeaderTemplate: type="string"; default="<span></span>"; nullable=true; body.Options.FooterTemplate: type="string"; default="<span></span>"; nullable=true; body.Options.PrintBackground: type="boolean"; default=true; body.Options.Landscape: type="boolean"; default=false; body.Options.PageRanges: type="string"; default=""; nullable=true; body.Options.Width: type="string"; default="8.27in"; nullable=true; body.Options.Height: type="string"; default="11.69in"; nullable=true; body.Options.MarginTop: type="string"; default=".4in"; nullable=true; body.Options.MarginBottom: type="string"; default=".4in"; nullable=true; body.Options.MarginLeft: type="string"; default=".4in"; nullable=true; body.Options.MarginRight: type="string"; default=".4in"; nullable=true; body.Options.PreferCSSPageSize: type="boolean"; default=false; body.Options.OmitBackground: type="boolean"; default=false; body.Options.Tagged: type="boolean"; default=true; body.Options.Outline: type="boolean"; default=false; body.Options.UsePrintCss: type="boolean"; default=true; body.Options.PuppeteerWaitForMethod: type="string"; default=""; nullable=true; body.Options.PuppeteerWaitForValue: type="string"; default=""; nullable=true. Declared successful response: 200: OK.

    POST /chrome/pdf/url

  • Write

    Convert raw HTML to PDF

    A JSON object as a payload is required within the body of the request. The following attributes of the JSON object are detailed below: - html *(string, required)* - raw HTML to convert to PDF - inline *(boolean, optional)* - Open the PDF in a browser window. Default to false. - fileName *(string, optional)* - Specify a file name for the output PDF. Random name if not specified. - options *(object, optional)* - Include advanced Headless Chrome options like margins, headers, and footers. See full list of advanced options here. - storage *(object, optional)* - set useCustomStorage to true and then provide a method and url, typically a PUT and an amazon presigned s3 url if you want to store the files on your own servers. Must set useCustomStorage to true or it will default API2PDF servers. Complete documented request fields/constraints: query.outputBinary: type="boolean"; default=false; ; body(application/json): type="object"; body.FileName: type="string"; nullable=true; body.Inline: type="boolean"; default=true; body.InlinePdf: type="boolean"; default=true; body.Storage: type="object"; body.Storage.Method: type="string"; default="PUT"; nullable=true; body.Storage.Url: type="string"; default=""; nullable=true; body.Storage.ExtraHTTPHeaders: type="object"; default={"custom-header-key":"custom header value"}; nullable=true; body.Storage.ExtraHTTPHeaders.{key}: type="string"; body.UseCustomStorage: type="boolean"; default=false; body.Html: type="string"; default="<html><body><h1>Hello, world!</h1></body></html>"; nullable=true; body.Options: type="object"; body.Options.Delay: type="integer"; format="int32"; default=0; body.Options.Scale: type="number"; format="double"; default=1; body.Options.DisplayHeaderFooter: type="boolean"; default=false; body.Options.HeaderTemplate: type="string"; default="<span></span>"; nullable=true; body.Options.FooterTemplate: type="string"; default="<span></span>"; nullable=true; body.Options.PrintBackground: type="boolean"; default=true; body.Options.Landscape: type="boolean"; default=false; body.Options.PageRanges: type="string"; default=""; nullable=true; body.Options.Width: type="string"; default="8.27in"; nullable=true; body.Options.Height: type="string"; default="11.69in"; nullable=true; body.Options.MarginTop: type="string"; default=".4in"; nullable=true; body.Options.MarginBottom: type="string"; default=".4in"; nullable=true; body.Options.MarginLeft: type="string"; default=".4in"; nullable=true; body.Options.MarginRight: type="string"; default=".4in"; nullable=true; body.Options.PreferCSSPageSize: type="boolean"; default=false; body.Options.OmitBackground: type="boolean"; default=false; body.Options.Tagged: type="boolean"; default=true; body.Options.Outline: type="boolean"; default=false; body.Options.UsePrintCss: type="boolean"; default=true; body.Options.PuppeteerWaitForMethod: type="string"; default=""; nullable=true; body.Options.PuppeteerWaitForValue: type="string"; default=""; nullable=true. Declared successful response: 200: OK.

    POST /chrome/pdf/html

  • Write

    Convert raw Markdown to PDF

    A JSON object as a payload is required within the body of the request. The following attributes of the JSON object are detailed below: - markdown *(string, required)* - raw Markdown to convert to PDF - inline *(boolean, optional)* - Open the PDF in a browser window. Default to false. - fileName *(string, optional)* - Specify a file name for the output PDF. Random name if not specified. - options *(object, optional)* - Include advanced Headless Chrome options like margins, headers, and footers. See full list of advanced options here. - storage *(object, optional)* - set useCustomStorage to true and then provide a method and url, typically a PUT and an amazon presigned s3 url if you want to store the files on your own servers. Must set useCustomStorage to true or it will default API2PDF servers. Complete documented request fields/constraints: query.outputBinary: type="boolean"; default=false; ; body(application/json): type="object"; body.FileName: type="string"; nullable=true; body.Inline: type="boolean"; default=true; body.InlinePdf: type="boolean"; default=true; body.Storage: type="object"; body.Storage.Method: type="string"; default="PUT"; nullable=true; body.Storage.Url: type="string"; default=""; nullable=true; body.Storage.ExtraHTTPHeaders: type="object"; default={"custom-header-key":"custom header value"}; nullable=true; body.Storage.ExtraHTTPHeaders.{key}: type="string"; body.UseCustomStorage: type="boolean"; default=false; body.Markdown: type="string"; default=""; nullable=true; body.Options: type="object"; body.Options.Delay: type="integer"; format="int32"; default=0; body.Options.Scale: type="number"; format="double"; default=1; body.Options.DisplayHeaderFooter: type="boolean"; default=false; body.Options.HeaderTemplate: type="string"; default="<span></span>"; nullable=true; body.Options.FooterTemplate: type="string"; default="<span></span>"; nullable=true; body.Options.PrintBackground: type="boolean"; default=true; body.Options.Landscape: type="boolean"; default=false; body.Options.PageRanges: type="string"; default=""; nullable=true; body.Options.Width: type="string"; default="8.27in"; nullable=true; body.Options.Height: type="string"; default="11.69in"; nullable=true; body.Options.MarginTop: type="string"; default=".4in"; nullable=true; body.Options.MarginBottom: type="string"; default=".4in"; nullable=true; body.Options.MarginLeft: type="string"; default=".4in"; nullable=true; body.Options.MarginRight: type="string"; default=".4in"; nullable=true; body.Options.PreferCSSPageSize: type="boolean"; default=false; body.Options.OmitBackground: type="boolean"; default=false; body.Options.Tagged: type="boolean"; default=true; body.Options.Outline: type="boolean"; default=false; body.Options.UsePrintCss: type="boolean"; default=true; body.Options.PuppeteerWaitForMethod: type="string"; default=""; nullable=true; body.Options.PuppeteerWaitForValue: type="string"; default=""; nullable=true. Declared successful response: 200: OK.

    POST /chrome/pdf/markdown

  • Write

    Convert URL to Image

    Convert a URL or Web Page to Image using Headless Chrome. This GET request is for convenience and does not support advanced options. Use the POST request for more flexibility. ### Authorize via Query String Parameter apikey=YOUR-API-KEY ### Example Complete documented request fields/constraints: query.url: type="string"; ; query.outputBinary: type="boolean"; default=false; . Declared successful response: 200: OK.

    GET /chrome/image/url

  • Write

    Convert URL to Image

    A JSON object as a payload is required within the body of the request. The following attributes of the JSON object are detailed below: - url *(string, required)* - Url to the web page to convert to PDF - inline *(boolean, optional)* - Open the PDF in a browser window. Default to true. - fileName *(string, optional)* - Specify a file name for the output PDF. Random name if not specified. - options *(object, optional)* - Include advanced Headless Chrome options like margins, headers, and footers. See full list of advanced options here. - extraHTTPHeaders *(dict, optional)* - A key-value object for specifying headers in a request to the URL. - storage *(object, optional)* - set useCustomStorage to true and then provide a method and url, typically a PUT and an amazon presigned s3 url if you want to store the files on your own servers. Must set useCustomStorage to true or it will default API2PDF servers. Complete documented request fields/constraints: query.outputBinary: type="boolean"; default=false; ; body(application/json): type="object"; body.FileName: type="string"; nullable=true; body.Inline: type="boolean"; default=true; body.InlinePdf: type="boolean"; default=true; body.Storage: type="object"; body.Storage.Method: type="string"; default="PUT"; nullable=true; body.Storage.Url: type="string"; default=""; nullable=true; body.Storage.ExtraHTTPHeaders: type="object"; default={"custom-header-key":"custom header value"}; nullable=true; body.Storage.ExtraHTTPHeaders.{key}: type="string"; body.UseCustomStorage: type="boolean"; default=false; body.ExtraHTTPHeaders: type="object"; default={"custom-header-key":"custom header value"}; nullable=true; body.ExtraHTTPHeaders.{key}: type="string"; body.Url: type="string"; default=""; nullable=true; body.Options: type="object"; body.Options.Delay: type="integer"; format="int32"; default=0; body.Options.FullPage: type="boolean"; default=true; body.Options.ViewPortOptions: type="object"; body.Options.ViewPortOptions.Width: type="integer"; format="int32"; default=1920; body.Options.ViewPortOptions.Height: type="integer"; format="int32"; default=1080; body.Options.ViewPortOptions.IsMobile: type="boolean"; default=false; body.Options.ViewPortOptions.DeviceScaleFactor: type="number"; format="double"; default=1; body.Options.ViewPortOptions.IsLandscape: type="boolean"; default=false; body.Options.ViewPortOptions.HasTouch: type="boolean"; default=false; body.Options.PuppeteerWaitForMethod: type="string"; default=""; nullable=true; body.Options.PuppeteerWaitForValue: type="string"; default=""; nullable=true. Declared successful response: 200: OK.

    POST /chrome/image/url

  • Write

    Convert raw HTML to Image

    A JSON object as a payload is required within the body of the request. The following attributes of the JSON object are detailed below: - html *(string, required)* - raw HTML to convert to PDF - inline *(boolean, optional)* - Open the PDF in a browser window. Default to false. - fileName *(string, optional)* - Specify a file name for the output PDF. Random name if not specified. - options *(object, optional)* - Include advanced Headless Chrome options like margins, headers, and footers. See full list of advanced options here. - storage *(object, optional)* - set useCustomStorage to true and then provide a method and url, typically a PUT and an amazon presigned s3 url if you want to store the files on your own servers. Must set useCustomStorage to true or it will default API2PDF servers. Complete documented request fields/constraints: query.outputBinary: type="boolean"; default=false; ; body(application/json): type="object"; body.FileName: type="string"; nullable=true; body.Inline: type="boolean"; default=true; body.InlinePdf: type="boolean"; default=true; body.Storage: type="object"; body.Storage.Method: type="string"; default="PUT"; nullable=true; body.Storage.Url: type="string"; default=""; nullable=true; body.Storage.ExtraHTTPHeaders: type="object"; default={"custom-header-key":"custom header value"}; nullable=true; body.Storage.ExtraHTTPHeaders.{key}: type="string"; body.UseCustomStorage: type="boolean"; default=false; body.Html: type="string"; default="<html><body><h1>Hello, world!</h1></body></html>"; nullable=true; body.Options: type="object"; body.Options.Delay: type="integer"; format="int32"; default=0; body.Options.FullPage: type="boolean"; default=true; body.Options.ViewPortOptions: type="object"; body.Options.ViewPortOptions.Width: type="integer"; format="int32"; default=1920; body.Options.ViewPortOptions.Height: type="integer"; format="int32"; default=1080; body.Options.ViewPortOptions.IsMobile: type="boolean"; default=false; body.Options.ViewPortOptions.DeviceScaleFactor: type="number"; format="double"; default=1; body.Options.ViewPortOptions.IsLandscape: type="boolean"; default=false; body.Options.ViewPortOptions.HasTouch: type="boolean"; default=false; body.Options.PuppeteerWaitForMethod: type="string"; default=""; nullable=true; body.Options.PuppeteerWaitForValue: type="string"; default=""; nullable=true. Declared successful response: 200: OK.

    POST /chrome/image/html

  • Write

    Convert raw Markdown to Image

    A JSON object as a payload is required within the body of the request. The following attributes of the JSON object are detailed below: - markdown *(string, required)* - raw Markdown to convert to Image - inline *(boolean, optional)* - Open the PDF in a browser window. Default to false. - fileName *(string, optional)* - Specify a file name for the output PDF. Random name if not specified. - options *(object, optional)* - Include advanced Headless Chrome options like margins, headers, and footers. See full list of advanced options here. - storage *(object, optional)* - set useCustomStorage to true and then provide a method and url, typically a PUT and an amazon presigned s3 url if you want to store the files on your own servers. Must set useCustomStorage to true or it will default API2PDF servers. Complete documented request fields/constraints: query.outputBinary: type="boolean"; default=false; ; body(application/json): type="object"; body.FileName: type="string"; nullable=true; body.Inline: type="boolean"; default=true; body.InlinePdf: type="boolean"; default=true; body.Storage: type="object"; body.Storage.Method: type="string"; default="PUT"; nullable=true; body.Storage.Url: type="string"; default=""; nullable=true; body.Storage.ExtraHTTPHeaders: type="object"; default={"custom-header-key":"custom header value"}; nullable=true; body.Storage.ExtraHTTPHeaders.{key}: type="string"; body.UseCustomStorage: type="boolean"; default=false; body.Markdown: type="string"; default=""; nullable=true; body.Options: type="object"; body.Options.Delay: type="integer"; format="int32"; default=0; body.Options.FullPage: type="boolean"; default=true; body.Options.ViewPortOptions: type="object"; body.Options.ViewPortOptions.Width: type="integer"; format="int32"; default=1920; body.Options.ViewPortOptions.Height: type="integer"; format="int32"; default=1080; body.Options.ViewPortOptions.IsMobile: type="boolean"; default=false; body.Options.ViewPortOptions.DeviceScaleFactor: type="number"; format="double"; default=1; body.Options.ViewPortOptions.IsLandscape: type="boolean"; default=false; body.Options.ViewPortOptions.HasTouch: type="boolean"; default=false; body.Options.PuppeteerWaitForMethod: type="string"; default=""; nullable=true; body.Options.PuppeteerWaitForValue: type="string"; default=""; nullable=true. Declared successful response: 200: OK.

    POST /chrome/image/markdown

LibreOffice

  • Write

    Convert Office Document or Image File to PDF

    A JSON object as a payload is required within the body of the request. The following attributes of the JSON object are detailed below: - url *(string, required)* - Url to the file to convert to PDF - inline *(boolean, optional)* - Open the PDF in a browser window. Default to true. - fileName *(string, optional)* - Specify a file name for the output PDF. Random name if not specified. - extraHTTPHeaders *(dict, optional)* - A key-value object for specifying headers in a request to the URL. - storage *(object, optional)* - set useCustomStorage to true and then provide a method and url, typically a PUT and an amazon presigned s3 url if you want to store the files on your own servers. Must set useCustomStorage to true or it will default API2PDF servers. Complete documented request fields/constraints: query.outputBinary: type="boolean"; default=false; ; body(application/json): type="object"; body.FileName: type="string"; nullable=true; body.Inline: type="boolean"; default=true; body.InlinePdf: type="boolean"; default=true; body.Storage: type="object"; body.Storage.Method: type="string"; default="PUT"; nullable=true; body.Storage.Url: type="string"; default=""; nullable=true; body.Storage.ExtraHTTPHeaders: type="object"; default={"custom-header-key":"custom header value"}; nullable=true; body.Storage.ExtraHTTPHeaders.{key}: type="string"; body.UseCustomStorage: type="boolean"; default=false; body.ExtraHTTPHeaders: type="object"; default={"custom-header-key":"custom header value"}; nullable=true; body.ExtraHTTPHeaders.{key}: type="string"; body.Url: type="string"; default=""; nullable=true. Declared successful response: 200: OK.

    POST /libreoffice/any-to-pdf

  • Write

    Generate an image of the first page of a PDF or Office Document

    A JSON object as a payload is required within the body of the request. The following attributes of the JSON object are detailed below: - url *(string, required)* - Url to the file to convert to PDF - inline *(boolean, optional)* - Open the PDF in a browser window. Default to true. - fileName *(string, optional)* - Specify a file name for the output PDF. Random name if not specified. - extraHTTPHeaders *(dict, optional)* - A key-value object for specifying headers in a request to the URL. - storage *(object, optional)* - set useCustomStorage to true and then provide a method and url, typically a PUT and an amazon presigned s3 url if you want to store the files on your own servers. Must set useCustomStorage to true or it will default API2PDF servers. Complete documented request fields/constraints: query.outputBinary: type="boolean"; default=false; ; body(application/json): type="object"; body.FileName: type="string"; nullable=true; body.Inline: type="boolean"; default=true; body.InlinePdf: type="boolean"; default=true; body.Storage: type="object"; body.Storage.Method: type="string"; default="PUT"; nullable=true; body.Storage.Url: type="string"; default=""; nullable=true; body.Storage.ExtraHTTPHeaders: type="object"; default={"custom-header-key":"custom header value"}; nullable=true; body.Storage.ExtraHTTPHeaders.{key}: type="string"; body.UseCustomStorage: type="boolean"; default=false; body.ExtraHTTPHeaders: type="object"; default={"custom-header-key":"custom header value"}; nullable=true; body.ExtraHTTPHeaders.{key}: type="string"; body.Url: type="string"; default=""; nullable=true. Declared successful response: 200: OK.

    POST /libreoffice/thumbnail

  • Write

    Generate a Microsoft Word file (.docx) from HTML

    A JSON object as a payload is required within the body of the request. The following attributes of the JSON object are detailed below: - html *(string, optional)* - Raw HTML content to convert to DOCX. If both html and url are supplied, html takes precedence. - url *(string, optional)* - Url to an HTML document to convert when html is not supplied. - fileName *(string, optional)* - Specify a file name for the output DOCX. Random name if not specified. - extraHTTPHeaders *(dict, optional)* - A key-value object for specifying headers in a request to the url. Ignored when html is supplied. - storage *(object, optional)* - set useCustomStorage to true and then provide a method and url, typically a PUT and an amazon presigned s3 url if you want to store the files on your own servers. Must set useCustomStorage to true or it will default API2PDF servers. Complete documented request fields/constraints: query.outputBinary: type="boolean"; default=false; ; body(application/json): type="object"; body.FileName: type="string"; nullable=true; body.Inline: type="boolean"; default=true; body.InlinePdf: type="boolean"; default=true; body.Storage: type="object"; body.Storage.Method: type="string"; default="PUT"; nullable=true; body.Storage.Url: type="string"; default=""; nullable=true; body.Storage.ExtraHTTPHeaders: type="object"; default={"custom-header-key":"custom header value"}; nullable=true; body.Storage.ExtraHTTPHeaders.{key}: type="string"; body.UseCustomStorage: type="boolean"; default=false; body.ExtraHTTPHeaders: type="object"; default={"custom-header-key":"custom header value"}; nullable=true; body.ExtraHTTPHeaders.{key}: type="string"; body.Url: type="string"; default=""; nullable=true; body.Html: type="string"; default="<html><body><h1>Hello, world!</h1></body></html>"; nullable=true. Declared successful response: 200: OK.

    POST /libreoffice/html-to-docx

  • Write

    Generate a Microsoft Excel document (.xlsx) from HTML

    A JSON object as a payload is required within the body of the request. The following attributes of the JSON object are detailed below: - html *(string, optional)* - Raw HTML content to convert to XLSX. If both html and url are supplied, html takes precedence. - url *(string, optional)* - Url to an HTML document to convert when html is not supplied. - fileName *(string, optional)* - Specify a file name for the output XLSX. Random name if not specified. - extraHTTPHeaders *(dict, optional)* - A key-value object for specifying headers in a request to the url. Ignored when html is supplied. - storage *(object, optional)* - set useCustomStorage to true and then provide a method and url, typically a PUT and an amazon presigned s3 url if you want to store the files on your own servers. Must set useCustomStorage to true or it will default API2PDF servers. Complete documented request fields/constraints: query.outputBinary: type="boolean"; default=false; ; body(application/json): type="object"; body.FileName: type="string"; nullable=true; body.Inline: type="boolean"; default=true; body.InlinePdf: type="boolean"; default=true; body.Storage: type="object"; body.Storage.Method: type="string"; default="PUT"; nullable=true; body.Storage.Url: type="string"; default=""; nullable=true; body.Storage.ExtraHTTPHeaders: type="object"; default={"custom-header-key":"custom header value"}; nullable=true; body.Storage.ExtraHTTPHeaders.{key}: type="string"; body.UseCustomStorage: type="boolean"; default=false; body.ExtraHTTPHeaders: type="object"; default={"custom-header-key":"custom header value"}; nullable=true; body.ExtraHTTPHeaders.{key}: type="string"; body.Url: type="string"; default=""; nullable=true; body.Html: type="string"; default="<html><body><h1>Hello, world!</h1></body></html>"; nullable=true. Declared successful response: 200: OK.

    POST /libreoffice/html-to-xlsx

Markitdown

  • Write

    Convert a file URL to Markdown

    A JSON object as a payload is required within the body of the request. The following attributes of the JSON object are detailed below: - url *(string, required)* - Url to the file to convert to Markdown. - fileName *(string, optional)* - Specify a file name for the output Markdown. Random name if not specified. - extraHTTPHeaders *(dict, optional)* - A key-value object for specifying headers in a request to the URL. - storage *(object, optional)* - set useCustomStorage to true and then provide a method and url, typically a PUT and an amazon presigned s3 url if you want to store the files on your own servers. Must set useCustomStorage to true or it will default API2PDF servers. Complete documented request fields/constraints: query.outputBinary: type="boolean"; default=false; ; body(application/json): type="object"; body.FileName: type="string"; nullable=true; body.Inline: type="boolean"; default=true; body.InlinePdf: type="boolean"; default=true; body.Storage: type="object"; body.Storage.Method: type="string"; default="PUT"; nullable=true; body.Storage.Url: type="string"; default=""; nullable=true; body.Storage.ExtraHTTPHeaders: type="object"; default={"custom-header-key":"custom header value"}; nullable=true; body.Storage.ExtraHTTPHeaders.{key}: type="string"; body.UseCustomStorage: type="boolean"; default=false; body.ExtraHTTPHeaders: type="object"; default={"custom-header-key":"custom header value"}; nullable=true; body.ExtraHTTPHeaders.{key}: type="string"; body.Url: type="string"; default=""; nullable=true. Declared successful response: 200: OK.

    POST /markitdown

OpenDataLoader

  • Write

    Extract structured JSON from a PDF URL

    A JSON object as a payload is required within the body of the request. The following attributes of the JSON object are detailed below: - url *(string, required)* - Url to the PDF file to parse. - fileName *(string, optional)* - Specify a file name for the output JSON. Random name if not specified. - extraHTTPHeaders *(dict, optional)* - A key-value object for specifying headers in a request to the URL. - storage *(object, optional)* - set useCustomStorage to true and then provide a method and url, typically a PUT and an amazon presigned s3 url if you want to store the files on your own servers. Must set useCustomStorage to true or it will default API2PDF servers. Complete documented request fields/constraints: query.outputBinary: type="boolean"; default=false; ; body(application/json): type="object"; body.FileName: type="string"; nullable=true; body.Inline: type="boolean"; default=true; body.InlinePdf: type="boolean"; default=true; body.Storage: type="object"; body.Storage.Method: type="string"; default="PUT"; nullable=true; body.Storage.Url: type="string"; default=""; nullable=true; body.Storage.ExtraHTTPHeaders: type="object"; default={"custom-header-key":"custom header value"}; nullable=true; body.Storage.ExtraHTTPHeaders.{key}: type="string"; body.UseCustomStorage: type="boolean"; default=false; body.ExtraHTTPHeaders: type="object"; default={"custom-header-key":"custom header value"}; nullable=true; body.ExtraHTTPHeaders.{key}: type="string"; body.Url: type="string"; default=""; nullable=true. Declared successful response: 200: OK.

    POST /opendataloader/json

  • Write

    Extract Markdown from a PDF URL

    A JSON object as a payload is required within the body of the request. The following attributes of the JSON object are detailed below: - url *(string, required)* - Url to the PDF file to parse. - fileName *(string, optional)* - Specify a file name for the output Markdown. Random name if not specified. - extraHTTPHeaders *(dict, optional)* - A key-value object for specifying headers in a request to the URL. - storage *(object, optional)* - set useCustomStorage to true and then provide a method and url, typically a PUT and an amazon presigned s3 url if you want to store the files on your own servers. Must set useCustomStorage to true or it will default API2PDF servers. Complete documented request fields/constraints: query.outputBinary: type="boolean"; default=false; ; body(application/json): type="object"; body.FileName: type="string"; nullable=true; body.Inline: type="boolean"; default=true; body.InlinePdf: type="boolean"; default=true; body.Storage: type="object"; body.Storage.Method: type="string"; default="PUT"; nullable=true; body.Storage.Url: type="string"; default=""; nullable=true; body.Storage.ExtraHTTPHeaders: type="object"; default={"custom-header-key":"custom header value"}; nullable=true; body.Storage.ExtraHTTPHeaders.{key}: type="string"; body.UseCustomStorage: type="boolean"; default=false; body.ExtraHTTPHeaders: type="object"; default={"custom-header-key":"custom header value"}; nullable=true; body.ExtraHTTPHeaders.{key}: type="string"; body.Url: type="string"; default=""; nullable=true. Declared successful response: 200: OK.

    POST /opendataloader/markdown

  • Write

    Extract HTML from a PDF URL

    A JSON object as a payload is required within the body of the request. The following attributes of the JSON object are detailed below: - url *(string, required)* - Url to the PDF file to parse. - fileName *(string, optional)* - Specify a file name for the output HTML. Random name if not specified. - extraHTTPHeaders *(dict, optional)* - A key-value object for specifying headers in a request to the URL. - storage *(object, optional)* - set useCustomStorage to true and then provide a method and url, typically a PUT and an amazon presigned s3 url if you want to store the files on your own servers. Must set useCustomStorage to true or it will default API2PDF servers. Complete documented request fields/constraints: query.outputBinary: type="boolean"; default=false; ; body(application/json): type="object"; body.FileName: type="string"; nullable=true; body.Inline: type="boolean"; default=true; body.InlinePdf: type="boolean"; default=true; body.Storage: type="object"; body.Storage.Method: type="string"; default="PUT"; nullable=true; body.Storage.Url: type="string"; default=""; nullable=true; body.Storage.ExtraHTTPHeaders: type="object"; default={"custom-header-key":"custom header value"}; nullable=true; body.Storage.ExtraHTTPHeaders.{key}: type="string"; body.UseCustomStorage: type="boolean"; default=false; body.ExtraHTTPHeaders: type="object"; default={"custom-header-key":"custom header value"}; nullable=true; body.ExtraHTTPHeaders.{key}: type="string"; body.Url: type="string"; default=""; nullable=true. Declared successful response: 200: OK.

    POST /opendataloader/html

PdfSharp

  • Write

    Combine multiple PDF files into a single PDF file

    A JSON object as a payload is required within the body of the request. The following attributes of the JSON object are detailed below: - urls *(list of strings, required)* - List of urls to the PDFs to merge - inline *(boolean, optional)* - Open the PDF in a browser window. Default to true. - fileName *(string, optional)* - Specify a file name for the output PDF. Random name if not specified. - extraHTTPHeaders *(dict, optional)* - A key-value object for specifying headers in a request to the URL. - storage *(object, optional)* - set useCustomStorage to true and then provide a method and url, typically a PUT and an amazon presigned s3 url if you want to store the files on your own servers. Must set useCustomStorage to true or it will default API2PDF servers. Complete documented request fields/constraints: query.outputBinary: type="boolean"; default=false; ; body(application/json): type="object"; body.FileName: type="string"; nullable=true; body.Inline: type="boolean"; default=true; body.InlinePdf: type="boolean"; default=true; body.Storage: type="object"; body.Storage.Method: type="string"; default="PUT"; nullable=true; body.Storage.Url: type="string"; default=""; nullable=true; body.Storage.ExtraHTTPHeaders: type="object"; default={"custom-header-key":"custom header value"}; nullable=true; body.Storage.ExtraHTTPHeaders.{key}: type="string"; body.UseCustomStorage: type="boolean"; default=false; body.ExtraHTTPHeaders: type="object"; default={"custom-header-key":"custom header value"}; nullable=true; body.ExtraHTTPHeaders.{key}: type="string"; body.Urls: type="array"; nullable=true; items(type="string"). Declared successful response: 200: OK.

    POST /pdfsharp/merge

  • Write

    Add a password to an existing PDF

    A JSON object as a payload is required within the body of the request. The following attributes of the JSON object are detailed below: - url *(string, required)* - Url to the PDF - userpassword *(string, required)* - User password to set to lock down pdf - ownerpassword *(string, optional)* - Owner password to set on pdf - inline *(boolean, optional)* - Open the PDF in a browser window. Default to true. - fileName *(string, optional)* - Specify a file name for the output PDF. Random name if not specified. - extraHTTPHeaders *(dict, optional)* - A key-value object for specifying headers in a request to the URL. - storage *(object, optional)* - set useCustomStorage to true and then provide a method and url, typically a PUT and an amazon presigned s3 url if you want to store the files on your own servers. Must set useCustomStorage to true or it will default API2PDF servers. Complete documented request fields/constraints: query.outputBinary: type="boolean"; default=false; ; body(application/json): type="object"; body.FileName: type="string"; nullable=true; body.Inline: type="boolean"; default=true; body.InlinePdf: type="boolean"; default=true; body.Storage: type="object"; body.Storage.Method: type="string"; default="PUT"; nullable=true; body.Storage.Url: type="string"; default=""; nullable=true; body.Storage.ExtraHTTPHeaders: type="object"; default={"custom-header-key":"custom header value"}; nullable=true; body.Storage.ExtraHTTPHeaders.{key}: type="string"; body.UseCustomStorage: type="boolean"; default=false; body.ExtraHTTPHeaders: type="object"; default={"custom-header-key":"custom header value"}; nullable=true; body.ExtraHTTPHeaders.{key}: type="string"; body.Url: type="string"; default=""; nullable=true; body.UserPassword: type="string"; default=""; nullable=true; body.OwnerPassword: type="string"; default=""; nullable=true. Declared successful response: 200: OK.

    POST /pdfsharp/password

  • Write

    Extract pages out of a PDF

    A JSON object as a payload is required within the body of the request. The following attributes of the JSON object are detailed below: - url *(string, required)* - Url to the PDF - start *(integer, optional)* - Start the range of the PDF to extract, indexed to 0, defaults to the first page of the PDF. Can be negative, meaning -1 would start as the last page of the PDF - end *(integer, optional)* - End the range of the PDF to extract, indexed to 0, defaults to the last page of the PDF, can be negative. - inline *(boolean, optional)* - Open the PDF in a browser window. Default to true. - fileName *(string, optional)* - Specify a file name for the output PDF. Random name if not specified. - extraHTTPHeaders *(dict, optional)* - A key-value object for specifying headers in a request to the URL. - storage *(object, optional)* - set useCustomStorage to true and then provide a method and url, typically a PUT and an amazon presigned s3 url if you want to store the files on your own servers. Must set useCustomStorage to true or it will default API2PDF servers. Complete documented request fields/constraints: query.outputBinary: type="boolean"; default=false; ; body(application/json): type="object"; body.FileName: type="string"; nullable=true; body.Inline: type="boolean"; default=true; body.InlinePdf: type="boolean"; default=true; body.Storage: type="object"; body.Storage.Method: type="string"; default="PUT"; nullable=true; body.Storage.Url: type="string"; default=""; nullable=true; body.Storage.ExtraHTTPHeaders: type="object"; default={"custom-header-key":"custom header value"}; nullable=true; body.Storage.ExtraHTTPHeaders.{key}: type="string"; body.UseCustomStorage: type="boolean"; default=false; body.ExtraHTTPHeaders: type="object"; default={"custom-header-key":"custom header value"}; nullable=true; body.ExtraHTTPHeaders.{key}: type="string"; body.Url: type="string"; default=""; nullable=true; body.Start: type="integer"; format="int32"; default=0; body.End: type="integer"; format="int32"; default=0. Declared successful response: 200: OK.

    POST /pdfsharp/extract-pages

  • Write

    Add a text watermark to every page of a PDF

    Overlay a text watermark (e.g. DRAFT, CONFIDENTIAL, DO NOT DISTRIBUTE) on every page of an existing PDF. The watermark is rendered with configurable font size, color, opacity, and rotation so it can serve as a diagonal stamp across each page. - url *(string, required)* - URL to the source PDF file - text *(string, optional)* - The watermark text to display. Defaults to "DRAFT" - fontSize *(integer, optional)* - Font size in points. Defaults to 72 - color *(string, optional)* - Hex color code for the watermark text (e.g. "#FF0000" for red). Defaults to "#000000" (black) - opacity *(number, optional)* - Opacity of the watermark from 0.0 (invisible) to 1.0 (fully opaque). Defaults to 0.15 - rotation *(integer, optional)* - Rotation angle in degrees. Negative values rotate counter-clockwise. Defaults to -45 (diagonal from bottom-left to top-right) - inline *(boolean, optional)* - Open the PDF in a browser window. Defaults to true - fileName *(string, optional)* - Specify a file name for the output PDF. Random name if not specified - extraHTTPHeaders *(dict, optional)* - A key-value object for specifying headers in a request to the URL - storage *(object, optional)* - Set useCustomStorage to true and then provide a method and url, typically a PUT and an Amazon presigned S3 url if you want to store the files on your own servers. Must set useCustomStorage to true or it will default API2PDF servers. Complete documented request fields/constraints: query.outputBinary: type="boolean"; default=false; ; body(application/json): type="object"; body.FileName: type="string"; nullable=true; body.Inline: type="boolean"; default=true; body.InlinePdf: type="boolean"; default=true; body.Storage: type="object"; body.Storage.Method: type="string"; default="PUT"; nullable=true; body.Storage.Url: type="string"; default=""; nullable=true; body.Storage.ExtraHTTPHeaders: type="object"; default={"custom-header-key":"custom header value"}; nullable=true; body.Storage.ExtraHTTPHeaders.{key}: type="string"; body.UseCustomStorage: type="boolean"; default=false; body.ExtraHTTPHeaders: type="object"; default={"custom-header-key":"custom header value"}; nullable=true; body.ExtraHTTPHeaders.{key}: type="string"; body.Url: type="string"; default=""; nullable=true; body.Text: type="string"; default="DRAFT"; nullable=true; body.FontSize: type="integer"; format="int32"; default=72; body.Color: type="string"; default="#000000"; nullable=true; body.Opacity: type="number"; format="double"; default=0.15; body.Rotation: type="integer"; format="int32"; default=-45. Declared successful response: 200: OK.

    POST /pdfsharp/watermark

Utils

  • Read

    Health check for the API

    Declared successful response: 200: OK.

    GET /status

  • Read

    Check remaining credit balance on your account

    Declared successful response: 200: OK.

    GET /balance

  • Destructive

    Delete a file on command

    Delete a file on command instead of waiting 24 hours for self-delete. Make a DELETE call to /file/{responseId} where {responseId} is from the JSON object returned from the original call to generate the file. ### Authorize via Header of Request Authorization: YOUR-API-KEY Complete documented request fields/constraints: path.responseId: required; type="string"; . Declared successful response: 200: OK.

    DELETE /file/{responseid}

Wkhtml

  • Write

    Convert URL to PDF. Recommended to use Chrome endpoints instead.

    Convert a URL or Web Page to PDF using wkhtmltopdf. This GET request is for convenience and does not support advanced options. Use the POST request for more flexibility. Complete documented request fields/constraints: query.url: type="string"; ; query.outputBinary: type="boolean"; default=true; . Declared successful response: 200: OK.

    GET /wkhtml/pdf/url

  • Write

    Convert URL to PDF. Recommended to use Chrome endpoints instead.

    A JSON object as a payload is required within the body of the request. The following attributes of the JSON object are detailed below: - url *(string, required)* - Url to the web page to convert to PDF - inline *(boolean, optional)* - Open the PDF in a browser window. Default to true. - fileName *(string, optional)* - Specify a file name for the output PDF. Random name if not specified. - options *(object, optional)* - Include advanced Wkhtmltopdf options like margins, headers, and footers. See full list of advanced options here. - enableToc *(boolean, optional)* - Enable table of contents on your pdf by setting enableToc to true. - tocOptions *(object, optional)* - set enableToc to true and then configure your ToC options add a Table of Contents to the top of your PDF automatically. - storage *(object, optional)* - set useCustomStorage to true and then provide a method and url, typically a PUT and an amazon presigned s3 url if you want to store the files on your own servers. Must set useCustomStorage to true or it will default API2PDF servers. Complete documented request fields/constraints: query.outputBinary: type="boolean"; default=false; ; body(application/json): type="object"; body.FileName: type="string"; nullable=true; body.Inline: type="boolean"; default=true; body.InlinePdf: type="boolean"; default=true; body.Storage: type="object"; body.Storage.Method: type="string"; default="PUT"; nullable=true; body.Storage.Url: type="string"; default=""; nullable=true; body.Storage.ExtraHTTPHeaders: type="object"; default={"custom-header-key":"custom header value"}; nullable=true; body.Storage.ExtraHTTPHeaders.{key}: type="string"; body.UseCustomStorage: type="boolean"; default=false; body.Options: type="object"; nullable=true; body.Options.{key}: object/union schema; body.EnableToc: type="boolean"; default=false; body.TocOptions: type="object"; nullable=true; body.TocOptions.{key}: object/union schema; body.Url: type="string"; nullable=true. Declared successful response: 200: OK.

    POST /wkhtml/pdf/url

  • Write

    Convert raw HTML to PDF. Recommended to use Chrome endpoints instead.

    A JSON object as a payload is required within the body of the request. The following attributes of the JSON object are detailed below: - html *(string, required)* - raw HTML to convert to PDF - inline *(boolean, optional)* - Open the PDF in a browser window. Default to false. - fileName *(string, optional)* - Specify a file name for the output PDF. Random name if not specified. - options *(object, optional)* - Include advanced wkhtmltopdf options like margins, headers, and footers. See full list of advanced options here. - enableToc *(boolean, optional)* - Enable table of contents on your pdf by setting enableToc to true. - tocOptions *(object, optional)* - set enableToc to true and then configure your ToC options add a Table of Contents to the top of your PDF automatically. - storage *(object, optional)* - set useCustomStorage to true and then provide a method and url, typically a PUT and an amazon presigned s3 url if you want to store the files on your own servers. Must set useCustomStorage to true or it will default API2PDF servers. Complete documented request fields/constraints: query.outputBinary: type="boolean"; default=false; ; body(application/json): type="object"; body.FileName: type="string"; nullable=true; body.Inline: type="boolean"; default=true; body.InlinePdf: type="boolean"; default=true; body.Storage: type="object"; body.Storage.Method: type="string"; default="PUT"; nullable=true; body.Storage.Url: type="string"; default=""; nullable=true; body.Storage.ExtraHTTPHeaders: type="object"; default={"custom-header-key":"custom header value"}; nullable=true; body.Storage.ExtraHTTPHeaders.{key}: type="string"; body.UseCustomStorage: type="boolean"; default=false; body.Options: type="object"; nullable=true; body.Options.{key}: object/union schema; body.EnableToc: type="boolean"; default=false; body.TocOptions: type="object"; nullable=true; body.TocOptions.{key}: object/union schema; body.Html: type="string"; default="<html><body><h1>Hello, world!</h1></body></html>"; nullable=true. Declared successful response: 200: OK.

    POST /wkhtml/pdf/html

Zebra

  • Write

    Generate bar codes and QR codes with ZXING.

    format is most common CODE_39 or QR_CODE. See full list of options and documentation here. Will default to image output, but can specify outputBinary=true to get a standard JSON response. Complete documented request fields/constraints: query.format: type="string"; ; query.value: type="string"; ; query.height: type="integer"; format="int32"; default=0; ; query.width: type="integer"; format="int32"; default=0; ; query.showlabel: type="boolean"; default=false; ; query.outputBinary: type="boolean"; default=true; . Declared successful response: 200: OK.

    GET /zebra

Zip

  • Write

    Create a .zip file from multiple files

    Pass in a list of urls to existing files along with desired file names and paths to subdirectories. This method will ingest those files and create a .zip and return the .zip in binary form in the response by default but you can specify outputBinary=false to get a standard JSON response. Be mindful of memory limits of the API. Complete documented request fields/constraints: query.outputBinary: type="boolean"; default=true; ; body(application/json): type="object"; body.FileName: type="string"; nullable=true; body.Inline: type="boolean"; default=true; body.InlinePdf: type="boolean"; default=true; body.Storage: type="object"; body.Storage.Method: type="string"; default="PUT"; nullable=true; body.Storage.Url: type="string"; default=""; nullable=true; body.Storage.ExtraHTTPHeaders: type="object"; default={"custom-header-key":"custom header value"}; nullable=true; body.Storage.ExtraHTTPHeaders.{key}: type="string"; body.UseCustomStorage: type="boolean"; default=false; body.ExtraHTTPHeaders: type="object"; default={"custom-header-key":"custom header value"}; nullable=true; body.ExtraHTTPHeaders.{key}: type="string"; body.Files: type="array"; nullable=true; items(type="object"); body.Files[].Url: type="string"; nullable=true; body.Files[].FileName: type="string"; nullable=true. Declared successful response: 200: OK.

    POST /zip

See How connections work for access and permissions, or browse all integrations.